# Changelog

## 1.2.6 / 2020-07-10

* updated docs

## 1.2.5 / 2020-07-10

* Added PR#43: Create Dependabot config file that fixes issue #41 Dependabot can't resolve your Ruby dependency files
* Fixed workflow file

## 1.2.4 / 2020-06-27

* updated dependencies

## 1.2.3 / 2019-05-20

* Updated dependencies
  * Bump rspec from 3.7.0 to 3.8.0
  * Bump rdoc from 6.0.4 to 6.1.1
  * [Security] Bump nokogiri from 1.8.3 to 1.10.3
  * Bump rubocop from 0.57.2 to 0.68.1

## 1.2.2 / 2018-06-30

* updated dependencies

## 1.2.1 / 2018-04-29

* updated dependencies
* updated documentation and projects url

## 1.2.0 / 2017-11-07

* updated dependencies
* code refactoring with rubocop and reek
* use XDG Standard for config files

## 1.1.2 / 2017-02-27

* updated dependencies

## 1.1.1 / 2017-02-23

* updated dependencies

## 1.1.0 / 2016-08-24

* updated dependencies
* fixed setup (Removed :setup_start from :setup)

## 1.0.4 / 2016-08-06

* updated dependencies from gemnasium

## 1.0.3 / 2016-02-08

* updated dependencies from gemnasium

## 1.0.2 / 2016-01-27

* updated dependencies by gemnasium

## 1.0.1 / 2015-12-23

* updated dependencies

## 0.4.14 / 2015-12-07

* fixed URL for openHUB and Openhatch

## 0.4.13 / 2015-09-08

* fixed PC23 (usage of setup.rb instead of native code).
* New structure: etc contains the publicancreators.cfg which will installed to HOME/.publican_creators/publicancreators.cfg. Also share/publican_creators contains the pictures for the launchers.
* Added .index and MANIFEST for packagers

## 0.4.12 / 2015-09-07

* Added bintray deployment

## 0.4.9 / 2015-06-27

* Fixed link creater for bins. The old code removes the old link, but doesn't creates a new one.

## 0.4.8.1 / 2015-05-26

* Improved and extended testcases for continuous integration
* Improved code to pacify rubocop.

## 0.4.8 / 2015-05-26

* fixed  PC-18 Can't use RevisionCreator anymore

## 0.4.7 / 2015-05-25

* fixed PC-17 Fix buildscript (Rakefile)
* fixed PC-16 Refactor prepare

## 0.4.6 / 2015-05-23

* fixed PC-15 Cleanup and simplify the codebase
* fixed Inch CI: revision/f0acc2fd/code_object/1107530
* fixed Inch CI: revision/f0acc2fd/code_object/1104611
* fixed Inch CI: revision/f0acc2fd/code_object/1107517

## 0.4.5 / 2015-05-21

* fixed PC-13 Hardcoded language in fix_authorgroup_work
* fixed PC-14 Refactor fix_authorgroup_work

## 0.4.4 / 2015-05-20

* fixed PC-12 Extend RevisionCreator for changing the version number in Article_Info or Book_Info
* Updated documentation after fixing PC-12

## 0.4.3 / 2015-05-18

* Updated and improved documentation

## 0.4.2 / 2015-05-16

* Removed require PublicanCreators from RevisonCreator, because otherwise starts PublicanCreators.
* Fixed get class. Now it's possible to use blanks instead of underscores.
* Also possible to use blanks instead of underscores in RevisionCreator.

## 0.4.0 / 2015-05-16

* Both desktop files from PublicanCreators and RevisionCreators having just the name PublicanCreators. Now PublicanCreators uses its name and RevisionCreators its name.
* Made the shell output more colorful. Used yellow as standard color, red for fails, green for successes and blue for to check things.
* Extended Rakefile for preparing, building and publishing this gems docs.

## 0.3.6 / 2015-05-15

* Fixed Rakefile buildscript issue

## 0.3.5 / 2015-05-15

* fixed link_binary_rev (The variable for checker aren't resolved
* Changed the buildscript from shellscript to Rakefile. A little bit more comfortable.

## 0.3.2 / 2015-05-15

* Readded IRB to binary. Otherwise it doesn't start from /usr/bin (Hotfix)
* Hotfix for test file

## 0.3.0 / 2015-05-09

* PC-1: Create UI for add_revision
* PC-4: Create UI (Task)
* PC-5: Create/Update Documentation (Task)

## 0.2.0 / 2015-05-07

* PC-6: Create rules for setup Fedora
* PC-7: Fix setup.sh
* PC-8: Add URL to Bugtracker into UI
* PC-9: Split methods from module PublicanCreatorsChange
* PC-10: Config versioning

## 0.1.1 / 2015-05-06

* Fetches the titlename, type and environment from a yad dialogbox
* Creates the initial documentation by using publican with using your titlename, your chosen type and environment
* PC-2: Extend documentation A-Type
* PC-3: Extend documentation B-Type

## 0.1.0  / 2015-04-25

* Build the base functions
